Package com.usatiuk.dhfs.remoteobj

# Class RemoteObjectDeleter

java.lang.Object
com.usatiuk.dhfs.remoteobj.RemoteObjectDeleter

@ApplicationScoped public class RemoteObjectDeleter extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjectDeleter(long deletionDelay, long canDeleteRetryDelay)`

## Method Summary

Modifier and Type
Method
Description
`void`
`putDeletionCandidate(RemoteObjectMeta obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjectDeleter

public RemoteObjectDeleter(long deletionDelay, long canDeleteRetryDelay)

## Method Details

### putDeletionCandidate

public void putDeletionCandidate(RemoteObjectMeta obj)